#ifndef BEAMTREESCENE_H
#define BEAMTREESCENE_H

#include "includes.h"
#include "node.h"

//! QGraphicsScene zur Verwaltung aller node Objekte.
/*!
    Nodes werden dabei durch Rechtecke repräsentiert, die in render() erzeugt bzw. in draw() zur QGraphicsScene hinzugefügt werden.
*/
class BeamTreeScene : public QGraphicsScene
{
	Q_OBJECT
	
public:
	BeamTreeScene(QObject *parent=0);
	//! Erzeugt die Rechtecke, die das node-Objekt dir, sowie dessen Kinder repräsentieren.
	/*!
	    \see draw(float, bool)
	*/
	void render(node *dir);
	void draw();
	//! Fügt die mittels render() erzeugten Rechtecke zur QGraphicsScene hinzu.
	void draw(float scale);
	void reset();
	void hilight(node *n);

	inline void setView(QGraphicsView *v) { view = v; }

public slots:
	void setScale(int scale);
	void resetColor();

protected:
	QGraphicsView *view;
	bool timerRunning;
	QPen pen;
	QBrush oldBrush;
	node *oldNode;
	QGraphicsSimpleTextItem *textItem;
};

#endif
