#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "includes.h"
#include "beamtreescene.h"
#include "node.h"
#include "treeitem.h"

class MainWindow : public QMainWindow
{
	Q_OBJECT

public:
	MainWindow();

private slots:
	void chooseFolder();
	void zoomIn();
	void zoomOut();
	void setRoot(QTreeWidgetItem *item, int column);

private:
	void createActions();
	void createToolBar();
	void createDock();
	void createCentralWidget();
	TreeItem* fillTree(node *root, TreeItem *rootItem = 0);

	QAction *openAction, *zoomInAction, *zoomOutAction;
	QToolBar *toolBar;
	QTreeWidget *treeWidget;
	QDockWidget *dockWidget;
	BeamTreeScene *scene;
	QGraphicsView *view;
	QSlider *slider;
	float scale;
	int size;
};

#endif
